%define upstream_name    Module-Manifest-Skip
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    MANIFEST.SKIP Manangement for Modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(Moo) >= 0.91.13
BuildArch:  noarch

%description
*NOTE:* This module is mostly intended for module packaging frameworks to
share a common, up-to-date 'MANIFEST.SKIP' base. For example,
Module::Install::ManifestSkip, uses this module to get the actual SKIP
content. However this module may be useful for any module author.

CPAN module authors use a MANIFEST.SKIP file to exclude certain well known
files from getting put into a generated MANIFEST file, which would cause
them to go into the final distribution package.

The packaging tools try to automatically skip things for you, but if you
add one of your own entries, you have to add all the common ones yourself.
This module attempts to make all of this boring process as simple and
reliable as possible.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.230.0-6pclos2017
- rebuild against updates

